Skip to main content
POST
/
ingest
Ingest events to Togai
curl --request POST \
  --url https://api.togai.com/ingest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "event": {
    "timestamp": "2022-06-15T07:30:35.123",
    "schemaName": "travelCompletedEvent",
    "id": "c0b1306d-f506-43a6-856b-69221efaee6b",
    "accountId": "1",
    "attributes": [
      {
        "name": "distanceTravelled",
        "value": "50",
        "unit": "Miles"
      },
      {
        "name": "timeSpent",
        "value": "60",
        "unit": "Minutes"
      }
    ],
    "dimensions": {
      "location": "Seattle",
      "costCenterCode": "1234",
      "travelType": "Business"
    }
  }
}
'
{
  "success": true,
  "statusCode": 123,
  "name": "<string>",
  "message": "<string>",
  "code": "<string>",
  "details": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body to ingest events to Togai usage and billing management service.

Payload for ingesting events

event
object

Contents of the event

Response

Successfully accepted to process all the events from payload.

success
boolean
Example:

true

statusCode
integer<int32>
name
string
message
string
Maximum string length: 500
code
string
details
object